pypy-purl_1.3.1-1_all.deb


Advertisement

Description

pypy-purl - URL interrogation and manipulation (PyPy version)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename pypy-purl_1.3.1-1_all.deb
Package name pypy-purl
Package version 1.3.1
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage http://codeinthehole.com/writing/purl-immutable-url-objects-for-python/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 10.35 KB
Installed size 50.00 KB
A simple, immutable URL class with a clean API for interrogation and
manipulation that also supports template URLs as per RFC 6570.
It parses URLs into URL objects which are immutable but also provides mutator
methods for all segments which return a new URL instance. This allows for
easy modification of URLs during runtime.
This package contains the PyPy version of the library.

Alternatives

Package Version Architecture Repository
pypy-purl_1.3.1-1_all.deb 1.3.1 all Ubuntu Universe
pypy-purl - - -

Requires

Name Value
pypy -
pypy-six -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pypy-purl_1.3.1-1_all.deb
Source Package purl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pypy-purl deb package:
    # sudo apt-get install pypy-purl

Files

Path
/usr/lib/pypy/dist-packages/purl/__init__.py
/usr/lib/pypy/dist-packages/purl/template.py
/usr/lib/pypy/dist-packages/purl/url.py
/usr/lib/pypy/dist-packages/purl-1.3.1.egg-info/PKG-INFO
/usr/lib/pypy/dist-packages/purl-1.3.1.egg-info/dependency_links.txt
/usr/lib/pypy/dist-packages/purl-1.3.1.egg-info/requires.txt
/usr/lib/pypy/dist-packages/purl-1.3.1.egg-info/top_level.txt
/usr/share/doc/pypy-purl/changelog.Debian.gz
/usr/share/doc/pypy-purl/copyright

Changelog

2017-07-11 - Michael Fladischer <fladi@debian.org>
purl (1.3.1-1) unstable; urgency=low
* Bump Standards-Version to 4.0.0.
2017-05-16 - Michael Fladischer <fladi@debian.org>
purl (1.3.1-1~exp1) unstable; urgency=low
* New upstream release.
* Add PyPy support package.
* Add missing Build-Depends for dh-python.
* Fix spelling error in long description.
* Use https:// for copyright-format 1.0 URL.
2016-05-04 - Michael Fladischer <fladi@debian.org>
purl (1.3-1) unstable; urgency=low
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Michael Fladischer ]
* New upstream release.
* Bump Standards-Version to 3.9.8.
* Remove XS-Autobuild field as it is only used by packages in contrib
and non-free.
2016-01-25 - Michael Fladischer <fladi@debian.org>
purl (1.2-1) unstable; urgency=low
* New upstream release.
* Reformat packaging files with cme for better readability.
2015-10-19 - Michael Fladischer <fladi@debian.org>
purl (1.1-2) unstable; urgency=medium
* Add python(3)-six to Build-Depends (Closes: #802108).
* git-dpm config
2015-04-02 - Michael Fladischer <fladi@debian.org>
purl (1.1-1) unstable; urgency=medium
* Initial release (Closes: #787107).

See Also

Package Description
pypy-py_1.5.2-1_all.deb Advanced Python development support library (PyPy)
pypy-pyaes_1.6.1-1_all.deb Pure-Python implementation of the AES cipher (PyPy)
pypy-pyasn1_0.4.2-3_all.deb ASN.1 library for Python (PyPy module)
pypy-pymediainfo_2.2.0-1_all.deb Library to fetch multimedia metadata information - PyPy version
pypy-pyparsing_2.2.0+dfsg1-2_all.deb alternative to creating and executing simple grammars - pypy
pypy-pytest_3.3.2-2_all.deb Simple, powerful testing in PyPy
pypy-rawkit_0.6.0-1_all.deb CTypes based LibRaw bindings - Python 2.X
pypy-rply_0.7.4-3_all.deb pure Python based parser that also works with RPython (PyPy)
pypy-schema_0.6.7-1_all.deb simple data validation library (PyPy)
pypy-setuptools-scm_1.15.6-1_all.deb blessed package to manage your versions by scm tags for PyPy
pypy-setuptools_39.0.1-2_all.deb PyPy Distutils Enhancements
pypy-simplejson_3.13.2-1_all.deb simple, fast, extensible JSON encoder/decoder for Python - PyPy
pypy-six_1.11.0-2_all.deb Python 2 and 3 compatibility library (PyPy interface)
pypy-sqlparse_0.2.4-0.1_all.deb non-validating SQL parser for PyPy
pypy-tk_5.10.0+dfsg-3build2_i386.deb Tkinter module for PyPy (an alternative Python interpreter)
Advertisement
Advertisement